<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card>
  <mat-table [dataSource]="detailDataSource" matSort
             id="detailGrid">

    <ng-container matColumnDef="type">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        {{"parameters.domain-influence.edit.detail-grid.header.type" | translate}}
      </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.type}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        {{"parameters.domain-influence.edit.detail-grid.header.id" | translate}}
      </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.id}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        {{"parameters.domain-influence.edit.detail-grid.header.name" | translate}}
      </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.name}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="shortName">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        {{"parameters.domain-influence.edit.detail-grid.header.shortName" | translate}}
      </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.shortName}}</mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="detailDisplayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: detailDisplayedColumns;"></mat-row>
  </mat-table>
</mat-card>
